%prefiltruje vstupný signál cez fázovací článok
% pri zosileni vecsom ako 1 bude filter nestabilny

function [out] = allpass(in, delay, gain)

b(delay+1) = 1;
b(1) = gain;
a(delay+1) = gain;
a(1) =  1;
out = filter(b,a,in);
